image: alpine:latest

before_script:
  - apk add wget binutils bash curl

.build:
  stage: build
  variables:
    VERSION: ""
  script:
    - bash ${CI_PROJECT_DIR}/build
  artifacts:
    paths:
      - ${CI_PROJECT_DIR}/cuda_10.${VERSION}.tar.gz

buildv0:
  extends: .build
  variables:
    VERSION: 0

buildv2:
  extends: .build
  variables: 
    VERSION: 2

trigger:
  extends: .build
  needs: ["buildv0", "buildv2"]
  script:
    - 'curl -H "Authorization: Token ${OBS_BUILD_TOKEN}" -X POST "https://api.opensuse.org/trigger/runservice?project=home:Azkali:Tegra:Icosa&package=cuda"'
    - 'curl -H "Authorization: Token ${OBS_BUILD_TOKEN}" -X POST "https://api.opensuse.org/trigger/runservice?project=home:Azkali:Tegra:Icosa&package=cuda-10-2"'
